petsc-3.7.7 2017-09-25
Report Typos and Errors

# DMGetVecType

Gets the type of vector created with DMCreateLocalVector() and DMCreateGlobalVector()

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode  DMGetVecType(DM da,VecType *ctype)

Logically Collective on DM

### Input Parameter

da - initial distributed array

### Output Parameter

ctype - the vector type

### See Also

DMCreate(), DMDestroy(), DM, DMDAInterpolationType, VecType

Level:intermediate
Location:src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages